## erlang 25.3.2.2

=== debian/changelog ===
erlang (1:25.3.2.2-1rmq1ppa1~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 07 Jun 2023 04:34:43 +0000

erlang (1:25.3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Tue, 30 May 2023 13:58:08 +0000

erlang (1:25.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Fri, 05 May 2023 11:13:05 +0000

erlang (1:25.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Thu, 27 Apr 2023 12:57:33 +0000

erlang (1:25.3-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 08 Mar 2023 10:38:48 +0000

erlang (1:25.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Fri, 17 Feb 2023 10:09:17 +0000

erlang (1:25.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 30 Jan 2023 08:20:42 +0000

erlang (1:25.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Tue, 17 Jan 2023 17:15:12 +0000

erlang (1:25.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 14 Dec 2022 08:01:50 +0000

erlang (1:25.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 24 Oct 2022 12:10:13 +0000

erlang (1:25.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 03 Oct 2022 13:18:52 +0000

erlang (1:25.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 21 Sep 2022 09:20:29 +0000

erlang (1:25.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Thu, 18 Aug 2022 15:02:32 +0000

erlang (1:25.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Fri, 15 Jul 2022 12:47:05 +0000

erlang (1:25.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Tue, 21 Jun 2022 06:59:28 +0000

erlang (1:25.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Thu, 09 Jun 2022 08:12:04 +0000

erlang (1:25.0-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Mon, 30 May 2022 08:52:53 +0000

erlang (1:24.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- RabbitMQ Team <info@rabbitmq.com>  Wed, 25 May 2022 09:12:53 +0000

erlang (1:25.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 May 2022 12:44:25 +0300

erlang (1:25.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Apr 2022 08:39:22 +0300

erlang (1:25.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Refresh patches.
  * Switch build locale to C.UTF-8 because of UTF-8 encoded JAVA sources.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 24 Mar 2022 15:57:53 +0300

erlang (1:25.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 16 Feb 2022 18:52:24 +0300
