=== debian/changelog ===
erlang (1:25.3.2.8+dfsg-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:12:08 +0000

erlang (1:25.3.2.8+dfsg-1ubuntu3) noble; urgency=medium

  * d/patches/pr-7952.patch: Take upstream PR to fix build with _TIME_BITS=64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 09:27:34 +1300

erlang (1:25.3.2.8+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:52:12 +0000

erlang (1:25.3.2.8+dfsg-1ubuntu1) noble; urgency=medium

  * ssl: remove small and legacy elliptic curves (LP: #2051379)

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 26 Jan 2024 17:43:30 +0100

erlang (1:25.3.2.8+dfsg-1) unstable; urgency=medium

  * New upstream release, which fixes CVE-2023-48795 - downgrading security
    features in SSH connections (closes: #1059002).
  * Refresh patches.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 19 Dec 2023 18:19:42 +0300
